%define name            ant
%define full_name       apache-%{name}
%define version         1.5.2
%define release         5jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define ant_home        %{_datadir}/ant
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Ant build tool for java
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        Apache Software License
URL:            http://ant.apache.org/
Group:          Development/Build Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:     http://www.apache.org/dist/ant/source/apache-ant-1.5.2-src.tar.bz2
Source1:        %{full_name}-%{version}-optional.jar
Source2:        %{full_name}-%{version}.ant.conf
Patch0:         %{full_name}-%{version}.patch
Requires:       jaxp_parser_impl, jaxp_transform_impl
BuildRequires:  jaxp_parser_impl, jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilis par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package optional
Summary:        Optional tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{version}-%{release}
Requires:       antlr
Requires:       bcel
Requires:       oldbsf
Requires:       jaf >= 1.0.1-5jpp
Requires:       javamail >= 1.2-5jpp
Requires:       jdepend
Requires:       junit
Requires:       log4j
Requires:       netcomponents
Requires:       oro
Requires:       regexp
Requires:       xalan-j1
Requires:       stylebook1.0b3
BuildRequires:  antlr
BuildRequires:  bcel
BuildRequires:  oldbsf
BuildRequires:  jaf >= 1.0.1-5jpp
BuildRequires:  javamail >= 1.2-5jpp
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  netcomponents
BuildRequires:  oro
BuildRequires:  regexp
BuildRequires:  stylebook1.0b3
BuildRequires:  xalan-j1
BuildRequires:  xalan-j2
Provides:       ant-optional-clean = %{version}-%{release}
Conflicts:      ant-optional-full

%description optional
Optional tasks for %{name}.

%description optional -l fr
Taches optionelles pour %{name}.

%package optional-full
Summary:        All optional tasks for %{name}
Group:          Development/Build Tools
Requires:       %{name} = %{version}-%{release}
Provides:       ant-optional = %{version}-%{release}
Conflicts:      ant-optional-clean

%description optional-full
All optional tasks for %{name}.

%description optional-full -l fr
Toutes les taches optionelles pour %{name}.

%package scripts
Summary:        Additional scripts for %{name}
Group:          Development/Build Tools
AutoReqProv:    no
Requires:       %{name} = %{version}-%{release}
Requires:       /usr/bin/perl
Requires:       /usr/bin/python

%description scripts
Additional Perl and Python scripts for %{name}.

%description scripts -l fr
Scripts additionels pour %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Build Tools

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{full_name}-%{version}
# jpackage adaptation
%patch0 -p1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
. %{_bindir}/java-functions
set_jvm

export ANT_BOOTSTRAP="on"

export CLASSPATH=\
%{javadir}/jaxp_parser_impl.jar:\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/antlr.jar:\
%{javadir}/oldbsf.jar:\
%{javadir}/bcel.jar:\
%{javadir}/jaf.jar:\
%{javadir}/javamail/mailapi.jar:\
%{javadir}/jdepend.jar:\
%{javadir}/junit.jar:\
%{javadir}/log4j.jar:\
%{javadir}/netcomponents.jar:\
%{javadir}/oro.jar:\
%{javadir}/regexp.jar:\
%{javadir}/stylebook1.0b3.jar:\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/xalan-j1.jar

sh build.sh jars javadocs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
cp -p build/lib/optional.jar \
  $RPM_BUILD_ROOT%{javadir}/%{name}-optional-%{version}.jar
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{javadir}/%{name}-optional-full-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# scripts
# remove dos script
rm -f src/script/*.bat

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

# fix link between manual and javadoc
(cd docs/manual; ln -sf %{javadocdir}/%{name}-%{version} api)

# symlink a transformer into the lib dir
ln -s %{javadir}/jaxp_transform_impl.jar $RPM_BUILD_ROOT%{ant_home}/lib

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%pre optional-full
rm -f %{javadir}/%{name}-optional*.jar

%post optional-full
cd %{javadir}
ln -sf %{name}-optional-full-%{version}.jar %{name}-optional-%{version}.jar
ln -sf %{name}-optional-full-%{version}.jar %{name}-optional.jar

%preun optional-full
if [ "$1" = "0" ]; then
  rm -f %{javadir}/%{name}-optional*.jar
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root)%{_bindir}/antRun
%{javadir}/%{name}.jar
%{javadir}/%{name}-%{version}.jar
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%dir %{ant_home}/lib
%{ant_home}/lib/jaxp_transform_impl.jar

%files optional
%defattr(0644,root,root,0755)
%{javadir}/%{name}-optional.jar
%{javadir}/%{name}-optional-%{version}.jar
%{ant_home}/etc/checkstyle-frames.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%{ant_home}/etc/maudit-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl

%files optional-full
%defattr(0644,root,root,0755)
%{javadir}/%{name}-optional-full.jar
%{javadir}/%{name}-optional-full-%{version}.jar
%{ant_home}/etc/checkstyle-frames.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%{ant_home}/etc/maudit-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*.pl
%{_bindir}/*.py

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Wed Mar 12 2003 Ville Skytt <ville.skytta at iki.fi> - 1.5.2-5jpp
- Move ANT_HOME to /usr/share/ant.
- Don't special-case the lib dir for RPM layout any more, use ANT_HOME/lib.
- Install XSLs into ANT_HOME/etc.
- Call set_jvm by default in ant.conf.
- Provide ant-optional-clean (versioned) in ant-optional.
- Make ant-optional-full conflict with ant-optional-clean.
- Add version info to ant-optional provision in ant-optional-full.
- Built with Sun 1.4.1_02 javac (to get JDK 1.4 regex).

* Tue Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-4jp
- changed provided /etc/ant.conf so that if usejikes is allready provided
  it didn't set it. Which such modification if you want to disable
  ant to use jikes even if jikes is set in /etc/ant.conf you'll just have
  to do usejikes=false ant build.xml.

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-3jp
- rebuilt with IBM SDK 1.3.1 since there was zip corruption when built
  with jikes 1.18 and IBM SDK 1.4.

* Wed Mar 05 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-2jp
- updated URL and source location

* Wed Mar 05 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.5.2-1jp
- 1.5.2
- remove JDK 1.4 related patchs which are now included in ant 1.5.2
- fix ant-optional-full pre/post install script (now remove correctly all
  ant optional jars)
- Built with jikes 1.18 and IBM SDK 1.4

* Sat Feb  1 2003 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-8jpp
- Symlink a transformer into ANT_LIB for smoother experience on Java 1.3.
- Requires jaxp_transform_impl.
- Don't remove optional.jar symlinks on optional-full upgrade.
- Include Sun's 1.4 JSSE and JCE jars in runtime path, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=16242>.
- Use jpackage-utils for setting JAVA_HOME when building.
- Built with Sun 1.4.1_01 javac.

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.5.1-7jpp
- oldbsf

* Fri Dec 20 2002 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-6jpp
- Really get rid of automatic dependencies for the -scripts package.

* Wed Dec 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.1-5jpp
- scripts subpackages
- file-based manual dependencies, as packages doesn't have the same name on RedHat and Mandrake

* Wed Dec 11 2002 Ville Skytt <ville.skytta at iki.fi> - 1.5.1-4jpp
- Patched to allow easier use with Jikes and IBM's 1.4.0, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15289> for details.

* Mon Oct 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-3jpp
- new post script for optional-full since rpm didn't works as
  expected and didn't set correct symlink for ant-optional.jar

* Thu Oct 03 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-2jpp
- really used JDK 1.4.1 to get JDK 1.4.x Regexp

* Thu Oct 03 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.1-1jpp
- ant 1.5.1

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-5jpp
- ant script standard behaviour restored, ie ant/lib jars are taken
  before CLASSPATH. You should define CLASSPATH_OVERRIDE env var to have
  CLASSPATH before ant/lib jars
- applied ant script patch for cygwin (cygwin rpm users around ?)
- remove conflict in ant-optional-full, just put provides

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-4jpp
- fix a problem in xerces-j2 build by changing the way CLASSPATH is constructed:
  first add jars found in CLASSPATH, then add xml-commons-apis, jaxp_parser_impl,
  ant, ant-optional and finish with jars found in ant/lib.
- jpackage-utils is no more required (but recommanded :)
- ant-optional-full provides ant-optional
- fix link between manual and api (javadoc)

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-3jpp
- add missing symlink between optional-full.jar and optional.jar

* Wed Jul 10 2002 Ville Skytt <ville.skytta at iki.fi> 1.5-2jpp
- Requires jaxp_parser_impl, no longer jaxp_parser2
  (jaxp_parser_impl already requires xml-commons-apis).
- Use sed instead of bash 2 extension when symlinking.

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-1jpp
* ant 1.5

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5.Beta3-1jpp
- ant 1.5 beta 3
- added bcel as required

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-14jpp
- added regexp to list of dependant packages

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-13jpp
- added optional-full which include all ant tasks, even those without
  matching package
- added jdepend 2.2
- remove require oro, since ant could works without it
- ant lib is now in %{javadir}/%{name}, put external jars here

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-12jpp
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-11jpp
- no more jikes specific support in launch script
- source user prefs before configuration in launch script
- distribution tag
- group tag
- provided original script as documentation

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-10jpp
- used xalan-j1 instead of xalan-j2-compat

* Mon Mar 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-9jpp
- jaxp_parser2 support

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-8jpp
- netcomponents support

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-7jpp
- adaptation to new stylebook1.0b3 package
- stylebook is a dependency of optional package
- removed redundant dependencies
- launch script correction

* Fri Jan 25 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-6jpp
- cleaned manifest from class-path references
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-5jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for optional package
- additional sources in individual archives
- upgraded launch script
- no more javadoc cross-linking
- additional requirement for optional package: xml-commons-apis, xalan-j2, xalan-j2-compat, jaf, javamail, & log4j

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-4jpp
- removed conditional build
- removed redundant BuildRequires
- ant-optional.jar in ant-optional package
- javadoc into javadoc package
- new launch script using functions library

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-3jpp
- readded Requires: oro junit stylebook-1.0b3 bsf rhino antlr to the main package
- corrected changelog release 1jpp-> 2jpp

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-2jpp
- conditional build
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support
- added BuildRequires: xalan-j2 >= 2.2.D13
- removed Requires: oro junit stylebook-1.0b3 bsf rhino antlr

* Mon Oct 15 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-4jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-3jpp
- more macros

* Wed Sep 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-2jpp
- first unified release
- dropped explicit xalan-j2 requirement, as stylebook-1.0b3 already requires it
- added missing xalan-j1 compatibility classes
- s/jPackage/JPackage

* Wed Sep 05 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4-1mdk
- 1.4
- added xalan-j2 antlr bsf rhino to buildrequires and requires
- launch script cleanup

* Tue Jul 31 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-4mdk
- jaxp_parser symlink is now jaxp_parser.jar

* Thu Jul 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-3mdk
- used alternative jaxp_parser
- updated launch script

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-2mdk
- s/Copyright/License/
- truncated description to 72 columns in spec
- updated launch script

* Mon Jun 11 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-1mdk
- 1.3
- new versioning scheme
- compiled with oro, junit and stylebook support
- spec cleanup

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-9mdk
- vendor tag
- packager tag

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-8mdk
- spec cleanup
- corrected changelog
- changed description

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-7mdk
- launch script improvments (Christian Zoffoli <czoffoli@linux-mandrake.com>)
- added french in spec
- more macros

* Fri Feb 02 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-6mdk
- corrected launch script

* Thu Feb 01 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.2-5mdk
- more macros
- added italian in spec

* Wed Jan 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-4mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
- changed name to ant
- changed javadir to /usr/share/java
- dropped jdk and jre requirement
- corrected require to jaxp
- added Jikes support
- used our own bash script
- dropped perl script
- dropped ant home directory

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-3mdk
- changed name to jakarta-ant
- changed group to Development/Java

* Wed Jan 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-2mdk
- new spec file
- discarded ugly non-free Sun jaxp library from sources, and used pretty open-source xerces instead

* Wed Dec 20 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-1mdk
- first Mandrake release
- used SRPMS from Henri Gomez <hgomez@users.sourceforge.net>
